Bug 1479038 - [NVE7] GPC0/TPC0/MP trap: global 00000000 [] warp 3f0009 [ILLEGAL_INSTR_ENCODING]
[NVE7] GPC0/TPC0/MP trap: global 00000000 [] warp 3f0009 [ILLEGAL_INSTR_ENCOD...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-nouveau (Show other bugs)
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Ben Skeggs
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2017-08-07 15:23 EDT by mwp.junk
Modified: 2018-03-15 01:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description mwp.junk 2017-08-07 15:23:48 EDT
Description of problem:

Machine randomly hard locks, mouse / keyboard inputs no longer work (Unable to switch VTs, etc). Hard reset is only way to recover.

Version-Release number of selected component (if applicable):


How reproducible: 

Random, could happen within 15 minutes of boot or 10 hours; however, seems to happen most when in a browser, Chrome / Firefox.

Steps to Reproduce:
1. Browse the web with chrome / firefox

Actual results:

Machine hard locks and only recoverable via a hard reset

Expected results:

No lock.

Additional info:

Just before the lock, the following is output in /var/log/messages:

kernel: nouveau 0000:02:00.0: gr: TRAP ch 2 [003fa79000 X[1801]]
kernel: nouveau 0000:02:00.0: gr: GPC0/TPC0/MP trap: global 00000000 [] warp 3f0009 [ILLEGAL_INSTR_ENCODING]

Switching to proprietary nvidia driver resolves the issue
Comment 2 Louis Santillan 2017-09-24 19:18:54 EDT
I'm getting this super frequently as well (2-10 times per day!).  I'd switch to the proprietary nvidia (which fixes it for me as well) but then gnome doesn't know how to handle driving 3 video cards with windows.  The nvidia driver makes them available (I mouse over and the old X11 disabled screen pointer) but gnome seems to refuse to put windows on them.

Note You need to log in before you can comment on or make changes to this bug.